package com.compdfkit.pdfviewer.entity;

import android.graphics.RectF;

import java.util.ArrayList;

public class HeaderFooterSetting {
    private RectF margin = new RectF(0f, 0f, 0f, 0f);
    private int pageOffset = 1;
    private String pages = "0";

    private final ArrayList<HeaderFooterSingleSetting> singleSettings = new ArrayList<>(6);

    public HeaderFooterSetting() {
        for (int i = 0; i < 6; i++)
            singleSettings.add(new HeaderFooterSingleSetting());
    }

    public RectF getMargin() {
        return margin;
    }

    public void setMargin(RectF margin) {
        this.margin = margin;
    }

    public int getPageOffset() {
        return pageOffset;
    }

    public void setPageOffset(int pageOffset) {
        this.pageOffset = pageOffset;
    }

    public String getPages() {
        return pages;
    }

    public void setPages(String pages) {
        this.pages = pages;
    }

    public String getFontName(int index) {
        return singleSettings.get(index).getFontName();
    }

    public void setFontName(int index, String fontName) {
        this.singleSettings.get(index).setFontName(fontName);
    }

    public float getFontSize(int index) {
        return singleSettings.get(index).getFontSize();
    }

    public void setFontSize(int index, float fontSize) {
        this.singleSettings.get(index).setFontSize(fontSize);
    }

    public String getText(int index) {
        return singleSettings.get(index).getText();
    }

    public void setText(int index, String text) {
        this.singleSettings.get(index).setText(text);
    }

    public int getColor(int index) {
        return singleSettings.get(index).getColor();
    }

    public void setColor(int index, int color) {
        this.singleSettings.get(index).setColor(color);
    }

    static class HeaderFooterSingleSetting {
        private String fontName = "Roboto";
        private float fontSize = 32;
        private String text = "";
        private int color = 0xFF000000;

        public String getFontName() {
            return fontName;
        }

        public void setFontName(String fontName) {
            this.fontName = fontName;
        }

        public float getFontSize() {
            return fontSize;
        }

        public void setFontSize(float fontSize) {
            this.fontSize = fontSize;
        }

        public String getText() {
            return text;
        }

        public void setText(String text) {
            this.text = text;
        }

        public int getColor() {
            return color;
        }

        public void setColor(int color) {
            this.color = color;
        }
    }
}
