package com.compdfkit.pdfviewer.tools;

import android.graphics.Bitmap;

import com.compdfkit.core.annotation.CPDFImageScaleType;
import com.compdfkit.core.document.CPDFBackground;
import com.compdfkit.pdfviewer.entity.BackgroundSetting;

public class BackgroundHandle {
    private static BackgroundSetting backgroundSetting = new BackgroundSetting();

    public static void updateBackground(CPDFBackground background) {
        background.setColor(backgroundSetting.getColor());
        background.setOpacity(backgroundSetting.getOpacity());
        background.setRotation(backgroundSetting.getRotation());
        background.setXOffset(backgroundSetting.getxOffset());
        background.setYOffset(backgroundSetting.getyOffset());
        background.setPages(backgroundSetting.getPages());
        background.setScale(backgroundSetting.getScale());

        if (backgroundSetting.getImage() != null) {
            background.setImage(backgroundSetting.getImage(), CPDFImageScaleType.SCALETYPE_fitEnd);
            background.setType(CPDFBackground.CPDFBackgroundType.Image);
        } else {
            background.setType(CPDFBackground.CPDFBackgroundType.Color);
        }

        //TODO: bug is here
        BackgroundSetting setting = new BackgroundSetting();
        setting.setColor(background.getColor());
        float opacity = background.getOpacity();
        setting.setRotation(background.getRotation());
        setting.setxOffset(background.getXOffset());
        setting.setyOffset(background.getYOffset());
        setting.setPages(background.getPages());
        setting.setScale(background.getScale());
        CPDFBackground.CPDFBackgroundType type = background.getType();
        CPDFBackground.CPDFBackgroundAlign hAlign = background.getHorizalign();
        CPDFBackground.CPDFBackgroundAlign vAlign = background.getVertalign();
        boolean test = background.isValid();

        background.update();
    }

    public static void setSettingColor(int color) {
        backgroundSetting.setColor(color);
    }

    public static void setSettingImage(Bitmap image) {
        backgroundSetting.setImage(image);
    }

    public static void setSettingMsg(float xOffset, float yOffset, float opacity, float scale, float rotation) {
        backgroundSetting.setxOffset(xOffset);
        backgroundSetting.setyOffset(yOffset);
        backgroundSetting.setOpacity(opacity);
        backgroundSetting.setScale(scale);
        backgroundSetting.setRotation(rotation);
    }

    public static void setSettingPages(String pages) {
        backgroundSetting.setPages(pages);
    }

    public static String getSettingPages() {
        return backgroundSetting.getPages();
    }

    public static BackgroundSetting getBackgroundSetting() {
        return backgroundSetting;
    }
}
