package com.compdfkit.pdfviewer.tools;

import android.graphics.RectF;

public class ConvertMapper {
    public static float convertViewXToPDFXOffset(float viewX, float xOffset, float centerX, float convertRate) {
        return (viewX + xOffset - centerX) / convertRate;
    }

    public static float convertViewYToPDFYOffset(float viewY, float yOffset, float centerY, float convertRate) {
        return (centerY - (viewY + yOffset)) / convertRate;
    }

    public static float convertPDFXOffsetToViewX(float PDFX, float xOffset, float centerX, float convertRate) {
        return PDFX * convertRate + centerX - xOffset;
    }

    public static float convertPDFYOffsetToViewY(float PDFY, float yOffset, float centerY, float convertRate) {
        return -(PDFY * convertRate + yOffset - centerY);
    }

    public static float convertMMtoPDFUnit(float mm) {
        return 72 * mm / 25.4f;
    }

    public static float convertMMtoViewUnit(float mm, float convertRate) {
        return convertMMtoPDFUnit(mm) * convertRate * 0.355f;
    }

    public static RectF convertMMtoViewUnitRectF(RectF rectF, float convertRate) {
        return new RectF(
                convertMMtoViewUnit(rectF.left, convertRate),
                convertMMtoViewUnit(rectF.top, convertRate),
                convertMMtoViewUnit(rectF.right, convertRate),
                convertMMtoViewUnit(rectF.bottom, convertRate));
    }
}
