package com.compdfkit.pdfviewer.tools;

import android.graphics.Bitmap;
import android.net.Uri;
import android.util.Log;
import android.widget.ImageView;

import androidx.annotation.NonNull;

import com.compdfkit.core.document.CPDFDocument;

import java.io.File;

public class DocumentHandle {
    public static int reloadDocument(@NonNull File PDFFile, Uri PDFUri, CPDFDocument document) {
        CPDFDocument.PDFDocumentError error = document.open(PDFFile.getAbsolutePath());
        int pageCount = 0;

        if (error == CPDFDocument.PDFDocumentError.PDFDocumentErrorPassword) {
            error = document.open(PDFUri, "password");
        } else if (error != CPDFDocument.PDFDocumentError.PDFDocumentErrorSuccess) {
            Log.d("CPDFDocumentError", "File open failed");
        } else {
            pageCount = document.getPageCount();
        }
        return pageCount;
    }

    public static void refreshPageImage(Bitmap updatePageBitmap, ImageView pageImage) {
        pageImage.setImageBitmap(updatePageBitmap);
    }

}
